Bug 52 - idzie idzie Podbeskidzie - nie da się pobrać turnieju 131108szczyrk
idzie idzie Podbeskidzie - nie da się pobrać turnieju 131108szczyrk
Status: RESOLVED FIXED
Product: PbnTools
Classification: Unclassified
Component: program
1.1.0
PC All
: --- normal
Assigned To: Jarek
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 12:25 CET by Jarek
Modified: 2013-11-26 08:49 CET (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jarek 2013-11-12 12:25:21 CET
Niestety są problemy z przekazaniem do programu adresów int. stron z wynikami turnieju (wybierałem generowane przez PARY J.Romańskiego). Jeden z komunikatów przykładowy poniżej.

Trwa pobieranie: http://www.pzbs.pl/wyniki/turnieje/2013/131108szczyrk/W-impy.html
java.io.IOException: 403 error loading URL http://www.pzbs.pl/wyniki/turnieje/2013/131108szczyrk/W-impy.html
jc.pbntools.download.HtmlTourDownloader$VerifyFailedException: jc.SoupProxy$Exception: java.io.IOException: 403 error loading URL http://www.pzbs.pl/wyniki/turnieje/2013/131108szczyrk/W-impy.html: jc.SoupProxy$Exception: java.io.IOException: 403 error loading URL http://www.pzbs.pl/wyniki/turnieje/2013/131108szczyrk/W-impy.html

Prawidłowo ściągane są wyniki "STARE" (zgodnie z opisem), ale strony PZBS z wynikami Kongresu Bałtyckiego generują błędy.
Comment 1 Jarek 2013-11-24 20:05:12 CET
fixed before 1.2.0
Comment 2 Jarek 2013-11-25 20:22:36 CET
1.2.0 still has problems, but now later, during ajax phase (txt files)
Comment 3 Jarek 2013-11-26 08:49:32 CET
fixed in r340, user agent was absent during ajax phase